/***************************************************************************
                          io_base.cpp  -  description
                             -------------------
    begin                : Tue Jun 18 2002
    copyright            : (C) 2003 by Troy Corbin Jr.
    email                : tcorbin@users.sf.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "io_base.moc"

io_base::io_base(resource *resc)
{
  this->myResource = resc;
}

io_base::io_base(resource *resc, int ID)
{
  this->myResource = resc;
  this->myID = ID;
}

io_base::io_base(TQWidget* parent, resource *rsrc)
{
  this->myParent = parent;
  this->myResource = rsrc;
}

io_base::~io_base()
{

}

void io_base::setID(const int ID)
{
  this->myID = ID;
}

int io_base::getID()
{
  return myID;
}

int io_base::getType()
{
  return myType;
}


